

#ifndef __PS2_HIK_H__
#define __PS2_HIK_H__

typedef struct
{
	int inter;
	int out_mode;
	int ff_mode;
	int resolution;
	int refresh_rate;
	int psm;
	int zpsm;
	int zbits;
	int width;
	int height;
	int cx;
	int cy;
	ps2_gs_dbuff db;
	ps2_gs_finish finish;
	int next2k, tex_addr;
} graph_settings_t;

extern graph_settings_t graph_settings;
extern ps2_gs_gparam *gparam;

int ps2hik_init(int argc, char **argv);
void ps2hik_release(int sig);
void (*ps2hik_set_deinit(void (*handler)(int)))(int);
int ps2hik_acquire_devices();
int ps2hik_release_devices();
void ps2hik_lock();
void ps2hik_unlock();
void ps2hik_set_image_address();
void ps2hik_printf_resolution();

#endif

